dbXML API

## com.dbxml.db.core.extension
Class ClassFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.extension.ExtensionException
                          com.dbxml.db.core.extension.ClassFormatException

All Implemented Interfaces:
  java.io.Serializable

public final class ClassFormatException
extends ExtensionException

A ClassFormatException is thrown if an Extension exposes overloaded methods or other non-supported signatures.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`ClassFormatException(java.lang.String message, java.lang.Throwable wrapped)`
`ClassFormatException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFormatException

    public ClassFormatException(java.lang.Throwable wrapped)

### ClassFormatException

    public ClassFormatException(java.lang.String message,
                                java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group